Loading...
Searching...
No Matches
casacore::MSObservationEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet OBSERVATION table. More...

`#include <MSObsEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , FLAG_ROW , LOG , OBSERVER , PROJECT , RELEASE_DATE , SCHEDULE , SCHEDULE_TYPE , TELESCOPE_NAME , TIME_RANGE , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The OBSERVATION table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet OBSERVATION table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet OBSERVATION table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSObservation class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSObsEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSObservationEnums::PredefinedColumns

The OBSERVATION table colums with predefined meaning.

The OBSERVATION_ID is the row number.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
FLAG_ROW | Row flag Bool.
LOG | Observing log String(*).
OBSERVER | Name of observer(s) String.
PROJECT | Project identification string TpString.
RELEASE_DATE | Release data, date when data may become public Double - s - EPOCH.
SCHEDULE | Observing schedule String(*).
SCHEDULE_TYPE | Observing schedule type String.
TELESCOPE_NAME | Telescope name TpString.
TIME_RANGE | Start and end times of observation Double(2).
NUMBER_REQUIRED_COLUMNS | Number of required columns.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSObsEnums.h.

## PredefinedKeywords

enum casacore::MSObservationEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 99 of file MSObsEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSObsEnums.h